Bug 131041 - CRASH: when I try set border for page header
Summary: CRASH: when I try set border for page header
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-29 21:42 UTC by Roman Kuznetsov
Modified: 2020-03-04 09:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-02-29 21:42:31 UTC
Description:
CRASH: when I try set border for page header

Steps to Reproduce:
1. Writer
2. Format-Page style
3. Header tab -> check Header on
4. Press More button
5. Borders tab -> Set all four borders
6. Press OK -> crash

Actual Results:
crash

Expected Results:
no crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: cf96cb11e2a46c452a273ded1c66c556118983cf
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

no repro in

Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

=> regression
Comment 1 Roman Kuznetsov 2020-02-29 21:54:25 UTC
I bisected it, result sha hash is

11efaea763bbbb9016ab39d53e191381444791f9

https://gerrit.libreoffice.org/c/core/+/85677

Added CC: to Ashod Nakashian
Comment 2 Oliver Brinzing 2020-03-01 12:54:11 UTC
reproducible with:

Version: 7.0.0.0.alpha0+ (x64)
Build ID: f2db813374b8d65e1edec1387fa0c534b40885e1
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

no repro in:

Version: 6.4.1.2 (x64)
Build-ID: 4d224e95b98b138af42a64d84056446d09082932
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 3 Julien Nabet 2020-03-01 20:14:52 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.

However, I got a freeze with gtk3. No pb with gen or kf5 renderings.
Comment 4 Xisco Faulí 2020-03-02 09:56:55 UTC
Also reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 950e1aec0a984ce40a5038331f491272b51d41fa
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2020-03-02 09:57:36 UTC
Adding Cc: to Ashod Nakashian
Comment 6 Xisco Faulí 2020-03-02 10:11:25 UTC
@Caolán, I thought you might be interested in this issue
Comment 7 Commit Notification 2020-03-03 09:00:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fd55510992800d18d04f3c54bd2ad0e0eb62d9ab

Resolves: tdf#131041 crash on async border dialog

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-03-03 10:18:20 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b5443459e13d88129c280059d0293f0bd97b8118

tdf#131041: Add uitest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-03-04 09:43:57 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c57d6d39c80844c9d4c6bfed85cc151e52a67b34
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!